> # NAME

> cgGLSetMatrixParameterArraydc - set the values of a matrix array parameter

> # SYNOPSIS

>       #include <Cg/cgGL.h>

>       void cgGLSetMatrixParameterArraydc( CGparameter param,
>                                           long offset,
>                                           long nelements,
>                                           const double * v );

> # PARAMETERS

> param

>   The matrix array parameter that will be set.

> offset

>   An offset into the array parameter at which to start setting elements. A value of 0 will begin at the first element of the array.

> nelements

>   The number of elements to set. A value of 0 will default to the total number of elements in the array minus the value of offset.

> v

>   The array of values to which to set the parameter. This must be a contiguous set of values with size nelements times the number of elements in the matrix.

> # RETURN VALUES

> None.

> # DESCRIPTION

> cgGLSetMatrixParameterArraydc sets the value of a matrix array parameter from an array of doubles laid out in column-major order.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_ARRAY_PARAM_ERROR is generated if param is not an array parameter.

> CG_NOT_MATRIX_PARAM_ERROR is generated if the elements of param are not matrix parameters.

> CG_OUT_OF_ARRAY_BOUNDS_ERROR is generated if offset or nelements is outside the bounds of param.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_ERROR is generated if the parameter fails to set for any other reason.

> # HISTORY

> cgGLSetMatrixParameterArraydc was introduced in Cg 1.1.

> # SEE ALSO

> cgGLSetMatrixParameter, cgGLGetMatrixParameterArray